When you’re testing, be like the snow leopard, stalking its prey, patient, silent… okay, I’m tired. Photo (CC) Ian Duffy.

The changes may be subtle, and you may not notice a thing. But if you upgrade your OS – any OS – the day it comes out for the ever-delicate work of live music and visuals, you should think of yourself as a tester. There’s a good chance you’re going to find some issue somewhere. Guess what: griping about it gets you nowhere. If you find a problem, fill out a detailed bug report with the vendor. And be patient. Anyone who’s tried developing software or drivers knows what I mean: stuff breaks. The advantage now is, we can arm ourselves with information through the power of the Web.

I’ve created a page for tracking Snow Leopard compatibility, changes, and other information, with a visual equivalent to follow after launch. (Right now, most of the visual information we want to talk about is still under NDA.)

Bookmark it at:
http://createdigitalmusic.com/snowleopard/

What kind of updates? Well, this just in: Iced Audio writes us to let us know they’ve successfully tested their awesome AudioFinder under 10.6.

This is information that’s constantly changing, and it’s an unscientific compilation – just think of it as a place to start your research and testing process if you do want to hop onboard 10.6 early.

As we get closer to Windows 7′s launch, we’ll give Windows a page, too, and I hope to have some centralized info for Linux, too.

  • http://www.covops.org Bjorn Vayner

    People using CS3 could upgrade. CS3 is at least 90% compatible according to Adobe and Apple: http://www.macrumors.com/2009/08/26/photoshop-pro

  • Jan Nemecek

    Logic Pro 9 is working after upgrade to 10.6. PACE drivers have to be reinstalled after upgrading, but they do work along with PACE-protected plugins (Breverb, AirEQ, Waves, etc…). Stillwell plugins DO NOT work (they crash validation).

    Hope this is of use to someone.

  • http://www.createdigitalmusic.com Peter Kirn

    Jan: Wait, those Stillwell plug-ins crash Logic's validation that were able to pass validation in Logic 9 under 10.5? That's peculiar. Do they simply fail the validation, or actually cause Logic to crash while it's validating?

    It's encouraging that PACE isn't broken; I think PACE has vastly improved …and it may simply be that 10.6 doesn't change anything that impacts them.

    Bjorn: Well, the confirmed issues Adobe has sound basically like a non-issue. On the other hand, CS is a big, complex set of tools, so I think what Adobe are saying is what NI and Plogue said in the post yesterday – there's really no good reason to upgrade early.

    The thing that I find frustrating is that users have gotten so sold on the marketing for this upgrade that they've decided it's a must-have *on Friday* without being clear on what they're actually getting. 64-bit kernel mode, OpenCL, and Grand Central keep getting cited on the forums as why they absolutely, positive must have this right now – even though they're likely to see precisely *zero* impact of any of those technologies. (In fact, the most they could get out of that is to boot into 64-bit kernel mode and break all their stuff.)

    I think the impact should be relatively minor, but then, maybe what people are *really* confused about is why they're upgrading in the first place.

  • Bynar

    As a OS Tiger user, I was wondering if it will still be possible to purchase Leopard in its original incarnation. I can't update to Logic 9 until I update to at least 10.5. However, I do not want to deal with snow leopard just yet(I own a presonus audio interface). Apple suggests Tiger users to buy some package that costs $150 and includes ilife software I could personally care less about.

  • http://www.createdigitalmusic.com Peter Kirn

    @Bynar: I would presume copies of Leopard (minus the Snow) may be out in the channel somewhere, certainly for the next few weeks.

  • Ben Casey

    @Bynar unless you live near a 3rd party mac shop you may have hard time getting 10.5 after friday. Apple does not typically continue to ship the older version of their OS. So walking into your local applestore probably wont get you a copy of 10.5

  • Jan Nemecek

    @Peter:

    I actually can't recall if they were working in Logic 9, haven't used them in a while (they're still in "nag" mode). They don't crash Logic, just fail the validation.

  • Ben

    @Bynar, It also appears that the $29 10.6 disc updates a 10.4 machine fine.

  • Ben

    however that will mean you no longer have ilife on your machine at all, as the tiger version of ilife won't work with your new 10.6 system.

  • http://www.covops.org Bjorn Vayner

    Not too rushed to upgrade myself, but I suppose the real question is: Will it run on "the tablet"?

  • leslie

    Cubase 5.1 Studio works like a charm under OS X.6

    Also I haven't noticed any issues with Novation Automap 3.

    Korg Legacy, MDE-X and Digital – all work well under Cubase 5.1.

  • Wout

    I can't install Logic Pro 9 after I installed snow leopard…is it just me or am I doing something wrong. It opens the installer, but the real install-window never show up on screen.

  • http://www.myspace.com/f11s fabrizio iorio

    I have the same problem:

    i up to OSX 10.6.1 and Logic pro 9.0.1

    failed validation for:

    Luxonix – Purity

    Nethernet – Mopis

    Ohm force – Frohmage, hematohm, Mobilohm, Quadfrohmage

    Vember Audio – Surge

    IK Multimedia – Ampeg SVX, Amplitube2

    With Ableton Live all plug ins works ok.

    somebody help me ?!